2026-02-09 05:47:15 UTC
249 MB
AFD8691FDAEDF03BDF6E460563F15A9B715376CA 9D7F99A0CB8F05C8A6958D6256A97AF7600A39A6 0616E93D95AF471243E26761770426E17EBBB3DD
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.4.17.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25628b234e347286158cae921d61283eb1169d89bc9d2e5f5976567260ff38b0bfa
PHP_URLhttps://www.php.net/distributions/php-8.4.17.tar.xz
PHP_VERSION8.4.17
ROUNDCUBEMAIL_KEYIDF3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
ROUNDCUBEMAIL_VERSION1.6.12
[#000] sha256:169fd34ed51dc04ba419a375bd69752b6d59f872027dfb0b9fc2763b36ffde10 - 12.01% (29.8 MB)
[#001] sha256:90a0aabca6932b58b0fe90a9750347946c455490517ffe8092236ad8938cbdb7 - 0.0% (226 Bytes)
[#002] sha256:d4eb485ab5202689ca15f62683d918e73b08cea3440d6230207ec55d83cd5612 - 44.56% (111 MB)
[#003] sha256:c6078adf416c1f90a6e8911ddb840f32d5cd1f31aa187c2cd8784a82ffa85a47 - 0.0% (228 Bytes)
[#004] sha256:7a49fd04b7bf57360b7d3c48033b9d823593c068baf2dba1a7dfe19529a9bb81 - 5.3% (13.2 MB)
[#005] sha256:35f5e1f9167ebedf325b9b1671cc09236a074b33a7ba749b6771f8afe10c129e - 0.0% (491 Bytes)
[#006] sha256:482039572bac4619acfa878118ce1d8af24a9f947e405be1e69b2319224b7bf2 - 5.36% (13.3 MB)
[#007] sha256:34fd03e0216baebbce43eca6bb01cfd7af390deb4c6020ab1b9109e5f603e0ba - 0.0% (2.4 KB)
[#008] sha256:6f8d1da155ff4808d7f04d6cd389c6ece2fa84b203799c8a8dfb568191c499e6 - 0.0% (251 Bytes)
[#009] sha256:30911c3e15e8155f4b5e799e709c0d8474d02c49925d1b6eddd853870b59c80b - 0.0% (246 Bytes)
[#010] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#011] sha256:b25af7a688ca5cdf6d7a5d203d30bbe7b910bc451b3efb9fc8d9a0f01958e0da - 0.0% (9.06 KB)
[#012] sha256:ad8e32efc73508676e3c7d7460db716dad8c1e081db37f4c8638ba5feae435e0 - 6.37% (15.8 MB)
[#013] sha256:6f5c26903f04f8e2b976ba45f3c3df0fb21453455f6d9d7ab64354d41bd46012 - 23.54% (58.5 MB)
[#014] sha256:e0dcdcad43172526de2bd3eaabca869496cda3eae1878698c03dc11f0357dc7a - 0.3% (759 KB)
[#015] sha256:ed86dd9bfe2276d80f10e889e4df4f94dfb8937a021b0514818d492d370b9526 - 0.01% (22.2 KB)
[#016] sha256:af7477ea31778ecc5c510be3099f8a7e30f699d7e1ba2bae255777050971910f - 0.0% (364 Bytes)
[#017] sha256:9f5730a66f3eaa5820399bc56fee3f93ff05c33c3c6dcfc22086c324d161ca5d - 0.0% (2.79 KB)
[#018] sha256:af0b301a422addd88effe0fbee9ff829be7568571cdfb60fd8b23e383241c4e6 - 2.22% (5.53 MB)
[#019] sha256:c9955f118df3f1df8d85d7619bf8c741b7774d5f2c33a129b3be8e392cf6b706 - 0.33% (845 KB)
# debian.sh --arch 'i386' out/ 'trixie' '@1769990400'
2026-02-03 02:23:28 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php # buildkit
2026-02-03 02:23:47 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2026-02-03 02:23:47 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends $PHPIZE_DEPS ca-certificates curl xz-utils ; apt-get dist-clean # buildkit
2026-02-03 02:23:47 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2026-02-03 02:23:47 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2026-02-03 02:23:47 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-02-03 02:23:47 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-02-03 02:23:47 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2026-02-03 02:23:47 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=AFD8691FDAEDF03BDF6E460563F15A9B715376CA 9D7F99A0CB8F05C8A6958D6256A97AF7600A39A6 0616E93D95AF471243E26761770426E17EBBB3DD
2026-02-03 02:23:47 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.4.17
2026-02-03 02:23:47 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.4.17.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.4.17.tar.xz.asc
2026-02-03 02:23:47 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=28b234e347286158cae921d61283eb1169d89bc9d2e5f5976567260ff38b0bfa
2026-02-03 02:27:35 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends gnupg; apt-get dist-clean; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false # buildkit
2026-02-03 02:27:35 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2026-02-03 02:30:36 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libargon2-dev libcurl4-openssl-dev libonig-dev libreadline-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --with-libdir="lib/$debMultiarch" --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); printf "*%s\n", so }' | sort -u | xargs -rt dpkg-query --search | awk 'sub(":$", "", $1) { print $1 }' | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; apt-get dist-clean; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2026-02-03 02:30:36 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2026-02-03 02:30:36 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable opcache # buildkit
2026-02-03 02:30:36 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2026-02-03 02:30:36 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2026-02-03 02:30:36 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-02-03 02:30:36 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2026-02-03 02:30:36 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2026-02-03 02:30:36 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2026-02-03 02:30:36 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-02-09 04:40:48 UTC (buildkit.dockerfile.v0)LABEL maintainer=Thomas Bruederli <[email protected]>
2026-02-09 04:40:48 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.source=https://github.com/roundcube/roundcubemail-docker
2026-02-09 04:40:48 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apt-get update && apt-get -y upgrade && apt-get clean # buildkit
2026-02-09 04:45:35 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; if [ "fpm" = "apache" ]; then a2enmod rewrite; sed -i -e 's|\(DocumentRoot /var/www/html\)$|\1/public_html|' /etc/apache2/sites-available/000-default.conf; fi; apt-get update; savedAptMark="$(apt-mark showmanual)"; apt-get install -y --no-install-recommends libfreetype6-dev libicu-dev libjpeg62-turbo-dev libldap2-dev libsasl2-dev libmagickwand-dev libpng-dev libpq-dev libsqlite3-dev libzip-dev libpspell-dev libonig-dev libldap-common ; fetchDeps="gnupg locales libc-l10n"; installDeps="aspell aspell-en rsync unzip"; apt-get install -y --no-install-recommends $installDeps $fetchDeps ; pecl bundle -d /usr/src/php/ext imagick; pecl bundle -d /usr/src/php/ext redis; pecl bundle -d /usr/src/php/ext pspell; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch" --with-ldap-sasl; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell imagick redis ; docker-php-ext-enable imagick opcache redis; docker-php-source delete; rm -r /tmp/pear; php -m; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark $installDeps $fetchDeps; extdir="$(php -r 'echo ini_get("extension_dir");')"; ldd "$extdir"/*.so | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; ldd "$extdir"/*.so | grep -qzv "=> not found" || (echo "Sanity check failed: missing libraries:"; ldd "$extdir"/*.so | grep " => not found"; exit 1); ldd "$extdir"/*.so | grep -q "libzip.so.* => .*/libzip.so.*" || (echo "Sanity check failed: libzip.so is not referenced"; ldd "$extdir"/*.so; exit 1); err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;); curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/81b1373f17855a4dc21156cfe1694c31d7d1792e/wait-for-it.sh -o /wait-for-it.sh; chmod +x /wait-for-it.sh; # buildkit
2026-02-09 04:45:35 UTC (buildkit.dockerfile.v0)COPY /usr/bin/composer /usr/bin/composer # buildkit
2026-02-09 04:45:35 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mv "$PHP_INI_DIR/php.ini-production" "$PHP_INI_DIR/php.ini" # buildkit
2026-02-09 04:45:35 UTC (buildkit.dockerfile.v0)COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit
2026-02-09 04:45:35 UTC (buildkit.dockerfile.v0)COPY --chmod=0755 docker-entrypoint.sh / # buildkit
2026-02-09 04:45:35 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_VERSION=1.6.12
2026-02-09 04:45:35 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
2026-02-09 04:45:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; mkdir -p /var/roundcube/config /var/roundcube/enigma; chown -R www-data:www-data /var/roundcube; chmod +t /var/roundcube # buildkit
2026-02-09 04:45:37 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2026-02-09 04:45:37 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-02-09 05:47:15 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c echo "en_US.UTF-8 UTF-8" > /etc/locale.gen; /usr/sbin/locale-gen # buildkit
2026-02-09 05:47:15 UTC (buildkit.dockerfile.v0)USER 33:33
2026-02-09 05:46:44 UTC
248 MB
AFD8691FDAEDF03BDF6E460563F15A9B715376CA 9D7F99A0CB8F05C8A6958D6256A97AF7600A39A6 0616E93D95AF471243E26761770426E17EBBB3DD
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.4.17.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25628b234e347286158cae921d61283eb1169d89bc9d2e5f5976567260ff38b0bfa
PHP_URLhttps://www.php.net/distributions/php-8.4.17.tar.xz
PHP_VERSION8.4.17
ROUNDCUBEMAIL_KEYIDF3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
ROUNDCUBEMAIL_VERSION1.6.12
[#000] sha256:0c8d55a45c0dc58de60579b9cc5b708de9e7957f4591fc7de941b67c7e245da0 - 11.47% (28.4 MB)
[#001] sha256:f6fe564240ba71e00032268edc4f1765316b4c60cc33e98b2e13b68c44730f45 - 0.0% (227 Bytes)
[#002] sha256:5f773f5c5ff906d8cfafcd93fa4073454312784098d5a36b88df65ddbe18ab52 - 45.38% (112 MB)
[#003] sha256:1d7cdb2b2042445d9c4dce895b23a6cc711bf16330b40fc2215d059cf720ae77 - 0.0% (226 Bytes)
[#004] sha256:0b7bd4e9462a7b6d17027176ebe299d994be337fba4db89579b49289da6d1173 - 5.32% (13.2 MB)
[#005] sha256:cda1860fe94fa444ebc9e4ff85f74967a5a5ef3c1cbc547e6858353032dce773 - 0.0% (491 Bytes)
[#006] sha256:80775b9dc01da5cc8535fecde1c3a3264d2ea2085ab96e9d9e18c49500d38b26 - 5.26% (13 MB)
[#007] sha256:81e7cf7670e9ba94c6f947eab6823b57435b1850376cd943792ace5a8e8dadd8 - 0.0% (2.4 KB)
[#008] sha256:2829679cb5ab65c5313f356abb7d35cff31c5f25e0f0effeb848a65a881416dc - 0.0% (250 Bytes)
[#009] sha256:19f27e38275ece20a2ec5bd840eb2305f88db3ed2fd26b4089d77b2ed9a8f56c - 0.0% (245 Bytes)
[#010] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#011] sha256:99e0f5d4fe50d94222d309a6bc243acee7ad60cb30231bd192ffa80cf94ce395 - 0.0% (9.05 KB)
[#012] sha256:0c719d684cfab94411d52990ebd5bae42dddf9024c8ce963005655c0b8e8ef69 - 6.33% (15.7 MB)
[#013] sha256:73a77c00add7cdb450e9cc17b8878e938f7ffcb7fe3611f93030af7075c126a3 - 23.36% (57.8 MB)
[#014] sha256:f0f7cf6e4bac874e2be735f88dcbb1b6cc85d173b7c71ee590226634c1d4805b - 0.3% (759 KB)
[#015] sha256:24364b4194d6d6496c5aa55bd28926fb55aadc715e323d97428d446cd2ee4026 - 0.01% (22.2 KB)
[#016] sha256:27f0f078a252ae9a8feb950ad1dcfd87f236e2cf623d09154b39d817f27d75a1 - 0.0% (364 Bytes)
[#017] sha256:9f5730a66f3eaa5820399bc56fee3f93ff05c33c3c6dcfc22086c324d161ca5d - 0.0% (2.79 KB)
[#018] sha256:6d9bb7db3a0f45058c05ab64dff7a37ab45a11497499e171b36ac1ace3d3a515 - 2.23% (5.53 MB)
[#019] sha256:0e99b9a5d44e3ee2bb5933449de9cb148b837a91298460e5f5692f83d4449ee9 - 0.33% (845 KB)
# debian.sh --arch 'amd64' out/ 'trixie' '@1769990400'
2026-02-03 02:23:18 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php # buildkit
2026-02-03 02:23:35 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2026-02-03 02:23:35 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends $PHPIZE_DEPS ca-certificates curl xz-utils ; apt-get dist-clean # buildkit
2026-02-03 02:23:35 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2026-02-03 02:23:35 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2026-02-03 02:23:35 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-02-03 02:23:35 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-02-03 02:23:35 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2026-02-03 02:23:35 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=AFD8691FDAEDF03BDF6E460563F15A9B715376CA 9D7F99A0CB8F05C8A6958D6256A97AF7600A39A6 0616E93D95AF471243E26761770426E17EBBB3DD
2026-02-03 02:23:35 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.4.17
2026-02-03 02:23:35 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.4.17.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.4.17.tar.xz.asc
2026-02-03 02:23:35 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=28b234e347286158cae921d61283eb1169d89bc9d2e5f5976567260ff38b0bfa
2026-02-03 02:31:02 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends gnupg; apt-get dist-clean; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false # buildkit
2026-02-03 02:31:02 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2026-02-03 02:33:35 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libargon2-dev libcurl4-openssl-dev libonig-dev libreadline-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --with-libdir="lib/$debMultiarch" --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); printf "*%s\n", so }' | sort -u | xargs -rt dpkg-query --search | awk 'sub(":$", "", $1) { print $1 }' | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; apt-get dist-clean; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2026-02-03 02:33:35 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2026-02-03 02:33:35 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable opcache # buildkit
2026-02-03 02:33:35 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2026-02-03 02:33:35 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2026-02-03 02:33:35 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-02-03 02:33:35 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2026-02-03 02:33:35 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2026-02-03 02:33:35 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2026-02-03 02:33:35 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-02-09 04:36:46 UTC (buildkit.dockerfile.v0)LABEL maintainer=Thomas Bruederli <[email protected]>
2026-02-09 04:36:46 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.source=https://github.com/roundcube/roundcubemail-docker
2026-02-09 04:36:46 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apt-get update && apt-get -y upgrade && apt-get clean # buildkit
2026-02-09 04:39:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; if [ "fpm" = "apache" ]; then a2enmod rewrite; sed -i -e 's|\(DocumentRoot /var/www/html\)$|\1/public_html|' /etc/apache2/sites-available/000-default.conf; fi; apt-get update; savedAptMark="$(apt-mark showmanual)"; apt-get install -y --no-install-recommends libfreetype6-dev libicu-dev libjpeg62-turbo-dev libldap2-dev libsasl2-dev libmagickwand-dev libpng-dev libpq-dev libsqlite3-dev libzip-dev libpspell-dev libonig-dev libldap-common ; fetchDeps="gnupg locales libc-l10n"; installDeps="aspell aspell-en rsync unzip"; apt-get install -y --no-install-recommends $installDeps $fetchDeps ; pecl bundle -d /usr/src/php/ext imagick; pecl bundle -d /usr/src/php/ext redis; pecl bundle -d /usr/src/php/ext pspell; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch" --with-ldap-sasl; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell imagick redis ; docker-php-ext-enable imagick opcache redis; docker-php-source delete; rm -r /tmp/pear; php -m; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark $installDeps $fetchDeps; extdir="$(php -r 'echo ini_get("extension_dir");')"; ldd "$extdir"/*.so | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; ldd "$extdir"/*.so | grep -qzv "=> not found" || (echo "Sanity check failed: missing libraries:"; ldd "$extdir"/*.so | grep " => not found"; exit 1); ldd "$extdir"/*.so | grep -q "libzip.so.* => .*/libzip.so.*" || (echo "Sanity check failed: libzip.so is not referenced"; ldd "$extdir"/*.so; exit 1); err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;); curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/81b1373f17855a4dc21156cfe1694c31d7d1792e/wait-for-it.sh -o /wait-for-it.sh; chmod +x /wait-for-it.sh; # buildkit
2026-02-09 04:39:10 UTC (buildkit.dockerfile.v0)COPY /usr/bin/composer /usr/bin/composer # buildkit
2026-02-09 04:39:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mv "$PHP_INI_DIR/php.ini-production" "$PHP_INI_DIR/php.ini" # buildkit
2026-02-09 04:39:11 UTC (buildkit.dockerfile.v0)COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit
2026-02-09 04:39:11 UTC (buildkit.dockerfile.v0)COPY --chmod=0755 docker-entrypoint.sh / # buildkit
2026-02-09 04:39:11 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_VERSION=1.6.12
2026-02-09 04:39:11 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
2026-02-09 04:39:12 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; mkdir -p /var/roundcube/config /var/roundcube/enigma; chown -R www-data:www-data /var/roundcube; chmod +t /var/roundcube # buildkit
2026-02-09 04:39:12 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2026-02-09 04:39:12 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-02-09 05:46:44 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c echo "en_US.UTF-8 UTF-8" > /etc/locale.gen; /usr/sbin/locale-gen # buildkit
2026-02-09 05:46:44 UTC (buildkit.dockerfile.v0)USER 33:33
2026-02-09 05:47:28 UTC
220 MB
AFD8691FDAEDF03BDF6E460563F15A9B715376CA 9D7F99A0CB8F05C8A6958D6256A97AF7600A39A6 0616E93D95AF471243E26761770426E17EBBB3DD
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.4.17.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25628b234e347286158cae921d61283eb1169d89bc9d2e5f5976567260ff38b0bfa
PHP_URLhttps://www.php.net/distributions/php-8.4.17.tar.xz
PHP_VERSION8.4.17
ROUNDCUBEMAIL_KEYIDF3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
ROUNDCUBEMAIL_VERSION1.6.12
[#000] sha256:2a2986ba48ae233640829460f6772db2ffbc330d97d2b29a533694dfdc7dc893 - 12.13% (26.7 MB)
[#001] sha256:103e4655a843c844e25a20f65b09004527a622694130f6bd25ea86fe2fc99e83 - 0.0% (226 Bytes)
[#002] sha256:abc6e133530021a2683740cf732454e2671e4581043aab5da06e7198903baa19 - 41.18% (90.5 MB)
[#003] sha256:1bcaeabe3f61a6d37a3bc5758167a3887dc7caa8caff9403eac2484111b16623 - 0.0% (226 Bytes)
[#004] sha256:373476c4beb79f862dc026a72d79ea525cb60e8c4ae9bea7cc13f99bd6d0ffe9 - 6.0% (13.2 MB)
[#005] sha256:7a98ebb1d5d2ba0cbf921e5cfb154c6f7ab3608faf0fb9880187ab309f40ecd8 - 0.0% (492 Bytes)
[#006] sha256:b714fa84e0368b10df1854576a4df6a60d5dde0681277a4edbbcb84e63b49490 - 5.31% (11.7 MB)
[#007] sha256:6fd3bc4948b531d23d9d09183c0011096a34bf5b0152292fadc422222b9395a4 - 0.0% (2.4 KB)
[#008] sha256:a722868249c34d48c5e65781b4cff136d5102d3280cf8df90b326f246f146cbe - 0.0% (252 Bytes)
[#009] sha256:23a69d825ad786d6177dbd9a72464cf373e9b79904b9412d96ae87f17eaacafc - 0.0% (247 Bytes)
[#010] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#011] sha256:14248ec0033af926673a377715b105c9277d07a457f1506f7275c7c61389b06b - 0.0% (9.05 KB)
[#012] sha256:abc018bac7a83db568f155ff29d748f513d31b31f502bd6efcb0ae84765104f7 - 7.0% (15.4 MB)
[#013] sha256:a5044e0d2e7a00ca5f5791e3ca79095ac69c6182afec9757890a4bd35ce75245 - 25.13% (55.2 MB)
[#014] sha256:43cde6ee5cfaf010f30a1c480e0f606e009ffe1f12123ec6fd7abcefa7c1d91e - 0.34% (759 KB)
[#015] sha256:86b54dd6c98fda279e72221938bf60fec58236d56c77096c0b70af5a813c2625 - 0.01% (22.2 KB)
[#016] sha256:50575454930b5aad17145adb2ddcfdf4c0a90df73fc98179f7cf3557a68753cc - 0.0% (363 Bytes)
[#017] sha256:9f5730a66f3eaa5820399bc56fee3f93ff05c33c3c6dcfc22086c324d161ca5d - 0.0% (2.79 KB)
[#018] sha256:6f38a475666ff55ddcf96cd48e23a67acdc8191ab3eefe171bfb07ca7665128d - 2.52% (5.53 MB)
[#019] sha256:1cc45bf7ea81d37ae9bd34e47c200467db6e6d8adf219f29a31829723fba3255 - 0.38% (845 KB)
# debian.sh --arch 'armel' out/ 'trixie' '@1769990400'
2026-02-03 02:27:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php # buildkit
2026-02-03 02:27:41 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2026-02-03 02:27:41 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends $PHPIZE_DEPS ca-certificates curl xz-utils ; apt-get dist-clean # buildkit
2026-02-03 02:27:41 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2026-02-03 02:27:41 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2026-02-03 02:27:41 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-02-03 02:27:41 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-02-03 02:27:41 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2026-02-03 02:27:41 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=AFD8691FDAEDF03BDF6E460563F15A9B715376CA 9D7F99A0CB8F05C8A6958D6256A97AF7600A39A6 0616E93D95AF471243E26761770426E17EBBB3DD
2026-02-03 02:27:41 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.4.17
2026-02-03 02:27:41 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.4.17.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.4.17.tar.xz.asc
2026-02-03 02:27:41 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=28b234e347286158cae921d61283eb1169d89bc9d2e5f5976567260ff38b0bfa
2026-02-03 02:38:58 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends gnupg; apt-get dist-clean; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false # buildkit
2026-02-03 02:38:58 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2026-02-03 02:41:55 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libargon2-dev libcurl4-openssl-dev libonig-dev libreadline-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --with-libdir="lib/$debMultiarch" --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); printf "*%s\n", so }' | sort -u | xargs -rt dpkg-query --search | awk 'sub(":$", "", $1) { print $1 }' | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; apt-get dist-clean; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2026-02-03 02:41:56 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2026-02-03 02:41:56 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable opcache # buildkit
2026-02-03 02:41:56 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2026-02-03 02:41:56 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2026-02-03 02:41:56 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-02-03 02:41:56 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2026-02-03 02:41:56 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2026-02-03 02:41:56 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2026-02-03 02:41:56 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-02-09 04:41:22 UTC (buildkit.dockerfile.v0)LABEL maintainer=Thomas Bruederli <[email protected]>
2026-02-09 04:41:22 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.source=https://github.com/roundcube/roundcubemail-docker
2026-02-09 04:41:22 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apt-get update && apt-get -y upgrade && apt-get clean # buildkit
2026-02-09 05:42:36 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; if [ "fpm" = "apache" ]; then a2enmod rewrite; sed -i -e 's|\(DocumentRoot /var/www/html\)$|\1/public_html|' /etc/apache2/sites-available/000-default.conf; fi; apt-get update; savedAptMark="$(apt-mark showmanual)"; apt-get install -y --no-install-recommends libfreetype6-dev libicu-dev libjpeg62-turbo-dev libldap2-dev libsasl2-dev libmagickwand-dev libpng-dev libpq-dev libsqlite3-dev libzip-dev libpspell-dev libonig-dev libldap-common ; fetchDeps="gnupg locales libc-l10n"; installDeps="aspell aspell-en rsync unzip"; apt-get install -y --no-install-recommends $installDeps $fetchDeps ; pecl bundle -d /usr/src/php/ext imagick; pecl bundle -d /usr/src/php/ext redis; pecl bundle -d /usr/src/php/ext pspell; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch" --with-ldap-sasl; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell imagick redis ; docker-php-ext-enable imagick opcache redis; docker-php-source delete; rm -r /tmp/pear; php -m; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark $installDeps $fetchDeps; extdir="$(php -r 'echo ini_get("extension_dir");')"; ldd "$extdir"/*.so | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; ldd "$extdir"/*.so | grep -qzv "=> not found" || (echo "Sanity check failed: missing libraries:"; ldd "$extdir"/*.so | grep " => not found"; exit 1); ldd "$extdir"/*.so | grep -q "libzip.so.* => .*/libzip.so.*" || (echo "Sanity check failed: libzip.so is not referenced"; ldd "$extdir"/*.so; exit 1); err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;); curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/81b1373f17855a4dc21156cfe1694c31d7d1792e/wait-for-it.sh -o /wait-for-it.sh; chmod +x /wait-for-it.sh; # buildkit
2026-02-09 05:42:36 UTC (buildkit.dockerfile.v0)COPY /usr/bin/composer /usr/bin/composer # buildkit
2026-02-09 05:42:36 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mv "$PHP_INI_DIR/php.ini-production" "$PHP_INI_DIR/php.ini" # buildkit
2026-02-09 05:42:36 UTC (buildkit.dockerfile.v0)COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit
2026-02-09 05:42:36 UTC (buildkit.dockerfile.v0)COPY --chmod=0755 docker-entrypoint.sh / # buildkit
2026-02-09 05:42:36 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_VERSION=1.6.12
2026-02-09 05:42:36 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
2026-02-09 05:42:42 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; mkdir -p /var/roundcube/config /var/roundcube/enigma; chown -R www-data:www-data /var/roundcube; chmod +t /var/roundcube # buildkit
2026-02-09 05:42:42 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2026-02-09 05:42:42 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-02-09 05:47:28 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c echo "en_US.UTF-8 UTF-8" > /etc/locale.gen; /usr/sbin/locale-gen # buildkit
2026-02-09 05:47:28 UTC (buildkit.dockerfile.v0)USER 33:33
2026-02-09 05:47:27 UTC
207 MB
AFD8691FDAEDF03BDF6E460563F15A9B715376CA 9D7F99A0CB8F05C8A6958D6256A97AF7600A39A6 0616E93D95AF471243E26761770426E17EBBB3DD
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.4.17.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25628b234e347286158cae921d61283eb1169d89bc9d2e5f5976567260ff38b0bfa
PHP_URLhttps://www.php.net/distributions/php-8.4.17.tar.xz
PHP_VERSION8.4.17
ROUNDCUBEMAIL_KEYIDF3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
ROUNDCUBEMAIL_VERSION1.6.12
[#000] sha256:abdd0f3062e6238c89a40b3e40277debcba2796d6736373219a089086718b8b4 - 12.06% (25 MB)
[#001] sha256:e362889de2637738c0cebb4086860d9287bc96d9aa80fe05dbefc71ab56b0b28 - 0.0% (227 Bytes)
[#002] sha256:e3197470c1460e2e964c07a2b48ae927383cddd0834e29c42470d09581c0c339 - 39.69% (82.2 MB)
[#003] sha256:5c91ab4c2f647333f16260555b77114bac447505e57ad21173c4ee47eac1fca1 - 0.0% (228 Bytes)
[#004] sha256:0c8e4b257411a4f48dbc3a520e2a1c3f4428fd6fe4d4cb3f84954810249164fe - 6.36% (13.2 MB)
[#005] sha256:57482f519d91a59712d2a5b9ab203919e7fede718ea236faf844241437d9afcd - 0.0% (490 Bytes)
[#006] sha256:bb7dd860e5030fffca064aeab54849ac4133624734a51492787da997769734c5 - 5.32% (11 MB)
[#007] sha256:adc59d89d1a0db1db843dcb101e0ceb05ab2ecdc5ab84dd1478d3c8aff7f4160 - 0.0% (2.4 KB)
[#008] sha256:38b9815c2eb34d110c16de4ccbfa7a78fc9c07515759332485ea76c6dac1c2c4 - 0.0% (252 Bytes)
[#009] sha256:2179596b0ebfd64e16313669aa85eb3f26e56d79944b833d14fe8c46ce05ce75 - 0.0% (247 Bytes)
[#010] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#011] sha256:dc321d1f7fef4e38e7a99d242086adaeddef3b5013bef014b317cffc0ebd97ad - 0.0% (9.05 KB)
[#012] sha256:056cb2c8d2ee8e9e626287f9d6ec5fa78ae5aafafad7cf5f34109d69257c3be3 - 7.49% (15.5 MB)
[#013] sha256:bc986f03b4880098c29ed554e39d39f89f3d030bcafccd8e86a66d923b4cf654 - 25.64% (53.1 MB)
[#014] sha256:b4a4521893026a551566a02a99340337ae611127c6e9fdb4ca8492cd4aa8183c - 0.36% (759 KB)
[#015] sha256:e50e2369febbfb7a8c2bdbecc25e441d67dfc2f74780d61d8574d4138c109c02 - 0.01% (22.2 KB)
[#016] sha256:4656dd003c709a485ede17e2562377413b5f2cda34a839c522663a937e79cc60 - 0.0% (368 Bytes)
[#017] sha256:9f5730a66f3eaa5820399bc56fee3f93ff05c33c3c6dcfc22086c324d161ca5d - 0.0% (2.79 KB)
[#018] sha256:2b6a526b165f02ef73e88b8d137b43d5396efddf15b6e633b482a495ada3af88 - 2.67% (5.53 MB)
[#019] sha256:d7ef4da886b3bcf97cb316fc06543a8e5d7d6357e36a9febca9ec5ae9851b4d1 - 0.4% (845 KB)
# debian.sh --arch 'armhf' out/ 'trixie' '@1769990400'
2026-02-03 02:32:50 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php # buildkit
2026-02-03 02:33:07 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2026-02-03 02:33:07 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends $PHPIZE_DEPS ca-certificates curl xz-utils ; apt-get dist-clean # buildkit
2026-02-03 02:33:07 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2026-02-03 02:33:07 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2026-02-03 02:33:07 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-02-03 02:33:07 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-02-03 02:33:07 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2026-02-03 02:33:07 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=AFD8691FDAEDF03BDF6E460563F15A9B715376CA 9D7F99A0CB8F05C8A6958D6256A97AF7600A39A6 0616E93D95AF471243E26761770426E17EBBB3DD
2026-02-03 02:33:07 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.4.17
2026-02-03 02:33:07 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.4.17.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.4.17.tar.xz.asc
2026-02-03 02:33:07 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=28b234e347286158cae921d61283eb1169d89bc9d2e5f5976567260ff38b0bfa
2026-02-03 02:43:43 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends gnupg; apt-get dist-clean; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false # buildkit
2026-02-03 02:43:43 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2026-02-03 02:46:26 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libargon2-dev libcurl4-openssl-dev libonig-dev libreadline-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --with-libdir="lib/$debMultiarch" --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); printf "*%s\n", so }' | sort -u | xargs -rt dpkg-query --search | awk 'sub(":$", "", $1) { print $1 }' | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; apt-get dist-clean; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2026-02-03 02:46:26 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2026-02-03 02:46:27 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable opcache # buildkit
2026-02-03 02:46:27 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2026-02-03 02:46:27 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2026-02-03 02:46:27 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-02-03 02:46:27 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2026-02-03 02:46:27 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2026-02-03 02:46:27 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2026-02-03 02:46:27 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-02-09 04:41:08 UTC (buildkit.dockerfile.v0)LABEL maintainer=Thomas Bruederli <[email protected]>
2026-02-09 04:41:08 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.source=https://github.com/roundcube/roundcubemail-docker
2026-02-09 04:41:08 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apt-get update && apt-get -y upgrade && apt-get clean # buildkit
2026-02-09 05:39:48 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; if [ "fpm" = "apache" ]; then a2enmod rewrite; sed -i -e 's|\(DocumentRoot /var/www/html\)$|\1/public_html|' /etc/apache2/sites-available/000-default.conf; fi; apt-get update; savedAptMark="$(apt-mark showmanual)"; apt-get install -y --no-install-recommends libfreetype6-dev libicu-dev libjpeg62-turbo-dev libldap2-dev libsasl2-dev libmagickwand-dev libpng-dev libpq-dev libsqlite3-dev libzip-dev libpspell-dev libonig-dev libldap-common ; fetchDeps="gnupg locales libc-l10n"; installDeps="aspell aspell-en rsync unzip"; apt-get install -y --no-install-recommends $installDeps $fetchDeps ; pecl bundle -d /usr/src/php/ext imagick; pecl bundle -d /usr/src/php/ext redis; pecl bundle -d /usr/src/php/ext pspell; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch" --with-ldap-sasl; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell imagick redis ; docker-php-ext-enable imagick opcache redis; docker-php-source delete; rm -r /tmp/pear; php -m; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark $installDeps $fetchDeps; extdir="$(php -r 'echo ini_get("extension_dir");')"; ldd "$extdir"/*.so | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; ldd "$extdir"/*.so | grep -qzv "=> not found" || (echo "Sanity check failed: missing libraries:"; ldd "$extdir"/*.so | grep " => not found"; exit 1); ldd "$extdir"/*.so | grep -q "libzip.so.* => .*/libzip.so.*" || (echo "Sanity check failed: libzip.so is not referenced"; ldd "$extdir"/*.so; exit 1); err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;); curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/81b1373f17855a4dc21156cfe1694c31d7d1792e/wait-for-it.sh -o /wait-for-it.sh; chmod +x /wait-for-it.sh; # buildkit
2026-02-09 05:39:48 UTC (buildkit.dockerfile.v0)COPY /usr/bin/composer /usr/bin/composer # buildkit
2026-02-09 05:39:48 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mv "$PHP_INI_DIR/php.ini-production" "$PHP_INI_DIR/php.ini" # buildkit
2026-02-09 05:39:48 UTC (buildkit.dockerfile.v0)COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit
2026-02-09 05:39:48 UTC (buildkit.dockerfile.v0)COPY --chmod=0755 docker-entrypoint.sh / # buildkit
2026-02-09 05:39:48 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_VERSION=1.6.12
2026-02-09 05:39:48 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
2026-02-09 05:39:55 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; mkdir -p /var/roundcube/config /var/roundcube/enigma; chown -R www-data:www-data /var/roundcube; chmod +t /var/roundcube # buildkit
2026-02-09 05:39:55 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2026-02-09 05:39:55 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-02-09 05:47:27 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c echo "en_US.UTF-8 UTF-8" > /etc/locale.gen; /usr/sbin/locale-gen # buildkit
2026-02-09 05:47:27 UTC (buildkit.dockerfile.v0)USER 33:33
2026-02-09 05:47:24 UTC
239 MB
AFD8691FDAEDF03BDF6E460563F15A9B715376CA 9D7F99A0CB8F05C8A6958D6256A97AF7600A39A6 0616E93D95AF471243E26761770426E17EBBB3DD
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.4.17.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25628b234e347286158cae921d61283eb1169d89bc9d2e5f5976567260ff38b0bfa
PHP_URLhttps://www.php.net/distributions/php-8.4.17.tar.xz
PHP_VERSION8.4.17
ROUNDCUBEMAIL_KEYIDF3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
ROUNDCUBEMAIL_VERSION1.6.12
[#000] sha256:3ea009573b472d108af9af31ec35a06fe3649084f6611cf11f7d594b85cf7a7c - 12.02% (28.7 MB)
[#001] sha256:1a979b38756f22ca2f064d5a234a568e72e196422043b6764d624ff36e418f8f - 0.0% (226 Bytes)
[#002] sha256:5bb1179ae38c6f9a1c7b6feda7aa60aeb18d5c79ff1e064641a227060f334012 - 43.95% (105 MB)
[#003] sha256:5f4cf2b845e9611b91b5382f9c9dc794936f0e84f9b772a397b1d6d62722462e - 0.0% (228 Bytes)
[#004] sha256:d69e32a67be817e0c8260fedfdfe1bd2916feec063307164b0e3b4d570aabafb - 5.51% (13.2 MB)
[#005] sha256:d92a7f37598a8f2f43947b9b4cb3dbb11f360b47522089bc417013ee8fe26766 - 0.0% (488 Bytes)
[#006] sha256:b2dcdbf738d8afceb8ad18a18a92f26be90fde0ddd88f7a4ed21c9a57fd8420b - 5.32% (12.7 MB)
[#007] sha256:a0362d23e4c1f73b2f7a56287d97f9d42abdab9e1b1fdc06b6a71616185a0cab - 0.0% (2.4 KB)
[#008] sha256:7de6ce1c2d7fb3c8888be079f96b1924ceaae1c0ef0a134ac01d9709bc42f93c - 0.0% (253 Bytes)
[#009] sha256:370ecd1fbd18411f05a7d7e1ede63c0b7ce748eca9249a1d04af980deb963f3f - 0.0% (248 Bytes)
[#010] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#011] sha256:41e6260095cff79603d9218d2e7049c4ecd0cc6cc76c1448ef00add03acff917 - 0.0% (9.05 KB)
[#012] sha256:6d3ebd2f0a919edf0655164ca0163c270d3c43e7042b16bc376e27153c149f60 - 6.51% (15.6 MB)
[#013] sha256:0f6fd85682c8b94f4e77fd2990b9de9c3549d973fcd9a229893fbd0b19b174f2 - 23.7% (56.7 MB)
[#014] sha256:910ee7969a4c3154870269c8bbaee1b4969a0270dc64093d6c86ee11a7301340 - 0.31% (759 KB)
[#015] sha256:97fc19ae4d57f24bb8bad48fa7a16d9139723c959e1d0efdf5a703280eac29a1 - 0.01% (22.2 KB)
[#016] sha256:2c8bbd10970c7f380f706fb2501a6e3cae691ad8ebbb6e813a14c5002bf7c50e - 0.0% (368 Bytes)
[#017] sha256:9f5730a66f3eaa5820399bc56fee3f93ff05c33c3c6dcfc22086c324d161ca5d - 0.0% (2.79 KB)
[#018] sha256:051ac282c92aefc97e9d3d03f6b88f7b460d1c366cb389467e85c7df8e15b260 - 2.31% (5.53 MB)
[#019] sha256:4c5419815118299b5ed14ec17c21030fdde33978e5c1800af20bcbef80e5d2d4 - 0.35% (845 KB)
# debian.sh --arch 'arm64' out/ 'trixie' '@1769990400'
2026-02-03 02:27:39 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php # buildkit
2026-02-03 02:27:56 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2026-02-03 02:27:56 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends $PHPIZE_DEPS ca-certificates curl xz-utils ; apt-get dist-clean # buildkit
2026-02-03 02:27:56 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2026-02-03 02:27:56 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2026-02-03 02:27:56 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-02-03 02:27:56 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2026-02-03 02:27:56 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2026-02-03 02:27:56 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=AFD8691FDAEDF03BDF6E460563F15A9B715376CA 9D7F99A0CB8F05C8A6958D6256A97AF7600A39A6 0616E93D95AF471243E26761770426E17EBBB3DD
2026-02-03 02:27:56 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.4.17
2026-02-03 02:27:56 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.4.17.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.4.17.tar.xz.asc
2026-02-03 02:27:56 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=28b234e347286158cae921d61283eb1169d89bc9d2e5f5976567260ff38b0bfa
2026-02-03 02:31:41 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends gnupg; apt-get dist-clean; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false # buildkit
2026-02-03 02:31:41 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2026-02-03 02:34:41 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libargon2-dev libcurl4-openssl-dev libonig-dev libreadline-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; test "$PHP_INI_DIR" != "${PHP_INI_DIR%/php}"; ./configure --build="$gnuArch" --sysconfdir="${PHP_INI_DIR%/php}" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --with-libdir="lib/$debMultiarch" --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); printf "*%s\n", so }' | sort -u | xargs -rt dpkg-query --search | awk 'sub(":$", "", $1) { print $1 }' | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; apt-get dist-clean; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2026-02-03 02:34:42 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2026-02-03 02:34:42 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable opcache # buildkit
2026-02-03 02:34:42 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2026-02-03 02:34:42 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2026-02-03 02:34:42 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2026-02-03 02:34:42 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd "${PHP_INI_DIR%/php}"; cp -v php-fpm.conf.default php-fpm.conf; cp -v php-fpm.d/www.conf.default php-fpm.d/www.conf; grep -E '^listen = 127.0.0.1:9000' php-fpm.d/www.conf; sed -ri 's/^(listen = 127.0.0.1:9000)/;\1/' php-fpm.d/www.conf; grep -E '^;listen = 127.0.0.1:9000' php-fpm.d/www.conf; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; echo; echo '; default listen address for easy override in later php-fpm.d/*.conf files'; echo 'listen = 9000'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '; the [www] ini section below is for backwards compatibility and will be removed in 8.6+'; echo '[www]'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2026-02-03 02:34:42 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2026-02-03 02:34:42 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2026-02-03 02:34:42 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-02-09 04:41:12 UTC (buildkit.dockerfile.v0)LABEL maintainer=Thomas Bruederli <[email protected]>
2026-02-09 04:41:12 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.source=https://github.com/roundcube/roundcubemail-docker
2026-02-09 04:41:12 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apt-get update && apt-get -y upgrade && apt-get clean # buildkit
2026-02-09 05:43:26 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; if [ "fpm" = "apache" ]; then a2enmod rewrite; sed -i -e 's|\(DocumentRoot /var/www/html\)$|\1/public_html|' /etc/apache2/sites-available/000-default.conf; fi; apt-get update; savedAptMark="$(apt-mark showmanual)"; apt-get install -y --no-install-recommends libfreetype6-dev libicu-dev libjpeg62-turbo-dev libldap2-dev libsasl2-dev libmagickwand-dev libpng-dev libpq-dev libsqlite3-dev libzip-dev libpspell-dev libonig-dev libldap-common ; fetchDeps="gnupg locales libc-l10n"; installDeps="aspell aspell-en rsync unzip"; apt-get install -y --no-install-recommends $installDeps $fetchDeps ; pecl bundle -d /usr/src/php/ext imagick; pecl bundle -d /usr/src/php/ext redis; pecl bundle -d /usr/src/php/ext pspell; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch" --with-ldap-sasl; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell imagick redis ; docker-php-ext-enable imagick opcache redis; docker-php-source delete; rm -r /tmp/pear; php -m; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark $installDeps $fetchDeps; extdir="$(php -r 'echo ini_get("extension_dir");')"; ldd "$extdir"/*.so | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; ldd "$extdir"/*.so | grep -qzv "=> not found" || (echo "Sanity check failed: missing libraries:"; ldd "$extdir"/*.so | grep " => not found"; exit 1); ldd "$extdir"/*.so | grep -q "libzip.so.* => .*/libzip.so.*" || (echo "Sanity check failed: libzip.so is not referenced"; ldd "$extdir"/*.so; exit 1); err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;); curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/81b1373f17855a4dc21156cfe1694c31d7d1792e/wait-for-it.sh -o /wait-for-it.sh; chmod +x /wait-for-it.sh; # buildkit
2026-02-09 05:43:26 UTC (buildkit.dockerfile.v0)COPY /usr/bin/composer /usr/bin/composer # buildkit
2026-02-09 05:43:26 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mv "$PHP_INI_DIR/php.ini-production" "$PHP_INI_DIR/php.ini" # buildkit
2026-02-09 05:43:26 UTC (buildkit.dockerfile.v0)COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit
2026-02-09 05:43:27 UTC (buildkit.dockerfile.v0)COPY --chmod=0755 docker-entrypoint.sh / # buildkit
2026-02-09 05:43:27 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_VERSION=1.6.12
2026-02-09 05:43:27 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
2026-02-09 05:43:31 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; mkdir -p /var/roundcube/config /var/roundcube/enigma; chown -R www-data:www-data /var/roundcube; chmod +t /var/roundcube # buildkit
2026-02-09 05:43:31 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2026-02-09 05:43:31 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2026-02-09 05:47:24 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c echo "en_US.UTF-8 UTF-8" > /etc/locale.gen; /usr/sbin/locale-gen # buildkit
2026-02-09 05:47:24 UTC (buildkit.dockerfile.v0)USER 33:33